Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

Is there a workaround to install/use apps that are using Rosetta on Lion?

I'm still using Zend 5.5 and I don't want to switch to a new IDE right now.

share|improve this question
    
Thanks for the rosetta tag. –  Alex Jul 22 '11 at 16:27
    
If Zend hasn't updated their IDE to keep up with current technology since Apple switched to Intel, are you really sure that's the IDE you want to stick with? –  Bryson Jul 22 '11 at 17:12
    
They updated it (current version is 8.0), I just don't like it. I feel better with v5.5. –  Alex Jul 22 '11 at 17:53
2  
lol. Well if you choose to stick with an old version you have to accept that eventually it will no longer be viable. –  Bryson Jul 22 '11 at 23:06

6 Answers 6

up vote 12 down vote accepted

At the time of writing Rosetta is not included with Lion, not supported by Lion officially and not available from any other channel (official or unofficial) for use on Lion.

So: no, there is no workaround. Your Rosetta-based applications cease to function if you upgrade to Lion.

share|improve this answer
2  
This is correct. You cannot now, nor are you likely to be able to ever, run PowerPC apps on Lion. –  CajunLuke Jul 22 '11 at 16:28
2  
This is the truest answer - it's not really meant to run, rosetta code is meant to be left behind at this point. –  bmike Jul 22 '11 at 16:42

Until someone creates another emulation layer, you could technically run Snow Leopard inside the virtualization software of your choice. Plenty of tech blogs have the steps for various VM choices.

The Snow Leopard license has words saying you shouldn't do it and you'll have to hack it lightly since the installer won't run unmodified.

Lion however will be "running" the code through rosetta - just not directly.

Don't overlook avoiding the issue altogether for your development work:

  • keeping an old mac running Snow Leopard and using Screen Sharing to connect might be much faster than emulation and more "legal" if you don't really need to be self contained.
  • keeping Snow Leopard on an external or second partition to boot for your development work.
share|improve this answer

If you still have a copy of your Snow Leopard install disks, install it on another bootable drive or partition. Boot from that, and run your Rosetta/PPC apps, then reboot into Lion (which can't run PPC apps) when you're done.

share|improve this answer

Spend 60 seconds and tell Apple that they should SELL Rosetta for Lion on the App store.

How would this not be a total win? Fewer people delaying upgrade, enough cash to cover the development and support, more happy customers.

http://Apple.com/feedback/macosx.html

share|improve this answer
1  
From Apple's point of view, PowerPC code is deprecated technology. Selling Rosetta on the App Store would make it look like they encourage development of this code, which is exactly what they don't want. It's certainly not a matter of finances - Apple has plenty of cash lying around. They want this whole Universal Binary episode to be over. –  René Jul 24 '11 at 18:58
1  
Selling stuff that has always been free is great –  Pitto Jul 31 '11 at 16:25
1  
The problem is that Rosetta isn't just a small piece of software. It requires hooks deep into the OS, which makes it more difficult to maintain, and also causes problems if you want to add or change functionality. It's not really one program, it would require changes to lots of system functions, and Apple wants to use those developer resources on new things. –  robmathers Oct 18 '11 at 4:59

You don't need Rosetta to run Zend Studio 5.5.1 on Lion, however, the installer requires Rosetta (which is quite unfortunate). So long as you have Zend Studio 5.5.1 installed, or migrate it from your Snow Leopard Machine, you can get it running under Java SE 6 by following the instructions here: http://www.s-seven.net/zend_5x_lion

share|improve this answer
    
You can fix the installer to use the JavaApplicationStub that shipped with the OS X Lion version of Java SE 6. Instructions here: hints.macworld.com/article.php?story=20110725083719120 You'll still need to fix Zend Studio 5 to run correctly under Java SE 6 using the link in my original answer. –  ssevennm Nov 8 '11 at 23:04

I am running lion on a 2008 8 core mac pro. I used the snow leopard disk to install rosetta as an "optional Install". Its my understanding that pure ppc code pas will not run in lion; but universal pas with intel code can be installed. I was able to install final cut studio 2 this way.

The reason I understand this working is because the apps them selves are not ppc but intel or what ever rosetta only had to unlock the ppc installer for me.

Im so excited to share this for those who cursed apple for dropping its pro users.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.